Bug 1043236 - Update ntfs-3g/ntfsprogs packages in EPEL
Summary: Update ntfs-3g/ntfsprogs packages in EPEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ntfs-3g
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1157756
TreeView+ depends on / blocked
 
Reported: 2013-12-15 09:41 UTC by gulikoza
Modified: 2014-11-24 21:18 UTC (History)
6 users (show)

Fixed In Version: ntfs-3g-2014.2.15-8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 21:18:42 UTC
Type: Bug


Attachments (Terms of Use)

Description gulikoza 2013-12-15 09:41:31 UTC
Latest ntfs-3g version in EPEL is 2011.4.12-5. Additionally these packages have EPOCH set to 2, so they are recognized as newer even when a different repository (eg. rpmforge) really has a newer version. This makes it very hard to maintain as any yum update will want to replace existing (if newer package is manually installed from a different repo) packages unless ntfs-3g/ntfsprogs is explicitly excluded from EPEL repo.

At least one problem I've encountered is fixed with newer version: https://bugs.launchpad.net/ubuntu/+source/ntfs-3g/+bug/789977

Comment 1 Moez Roy 2014-10-21 23:07:13 UTC
I would also like to see ntfs-3g updated to 2014.2.15 (unless there is an even newer version with more bug fixes).

The ntfs-3g provided for EL6 right now is not reliable and should not be used.

It silently corrupted my 1 TB USB hard-disk.

Comment 2 Fedora Update System 2014-10-22 02:00:28 UTC
ntfs-3g-2014.2.15-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ntfs-3g-2014.2.15-6.el6

Comment 3 Moez Roy 2014-10-22 04:19:56 UTC
Thanks spot.

When you get time, can you please also update ntfs-3g in epel7?

Comment 4 Tom "spot" Callaway 2014-10-22 10:58:18 UTC
Just pushed the matching epel7 update.

Comment 5 Fedora Update System 2014-10-22 18:48:24 UTC
Package ntfs-3g-2014.2.15-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ntfs-3g-2014.2.15-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3544/ntfs-3g-2014.2.15-6.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-10-31 01:22:52 UTC
Package ntfs-3g-2014.2.15-6.el6, testdisk-6.14-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ntfs-3g-2014.2.15-6.el6 testdisk-6.14-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3544/testdisk-6.14-2.el6,ntfs-3g-2014.2.15-6.el6
then log in and leave karma (feedback).

Comment 7 gulikoza 2014-10-31 08:23:01 UTC
Hi,

I cannot confirm this package.

[root@localhost /]# ntfs-3g -o ro /dev/mapper/loop0p2  /mnt/hdd/
[root@localhost /]# ls -al /mnt/hdd
ls: cannot access /mnt/hdd: Input/output error
[root@localhost /]# ls -la /mnt
ls: cannot access /mnt/hdd: Input/output error
total 8
drwxr-xr-x.  3 root root 4096 Oct 26 17:28 .
dr-xr-xr-x. 24 root root 4096 Oct 31 09:03 ..
d??????????  ? ?    ?       ?            ? hdd
[root@localhost /]# ls -la /mnt/hdd
ls: cannot access /mnt/hdd: Input/output error

While if installing rpmforge fuse-ntfs-3g-2013.1.13-2.el6.rf.x86_64, the image is mounted successfully:

[root@localhost /]# ntfs-3g -o ro /dev/mapper/loop0p2 /mnt/hdd
[root@localhost /]# ls -la /mnt/hdd/
total 12
drwxrwxrwx. 1 root root 4096 Oct 27 01:31 .
drwxr-xr-x. 3 root root 4096 Oct 26 17:28 ..
drwxrwxrwx. 1 root root 4096 Oct 31 01:09 System Volume Information
drwxrwxrwx. 1 root root    0 Oct 26 23:38 WindowsImageBackup

Comment 8 Fedora Update System 2014-11-14 20:23:47 UTC
ntfs-3g-2014.2.15-6.el6, testdisk-6.14-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Tomasz Tomasik 2014-11-16 08:44:13 UTC
I have the same problem with the latest EPEL packages (ntfs-3g-2014.2.15-6.el6.x86_64.rpm, ntfsprogs-2014.2.15-6.el6.x86_64.rpm, testdisk-6.14-2.el6.x86_64.rpm):
# mount.ntfs-3g /dev/sdd1 /mnt
# ls -la /mnt
ls: cannot access /mnt: Input/output error

However, it works OK with the older packages (ntfs-3g-2011.4.12-5.el6.x86_64.rpm, ntfsprogs-2011.4.12-5.el6.x86_64.rpm, testdisk-6.14-1.el6.x86_64.rpm).

Comment 10 RG Barnes 2014-11-17 07:00:16 UTC
I'd like to add my comment to an issue with ntfs-3g-2014.2.15-6.el6.x86_64.rpm.

I'm running "CentOS release 6.6 (Final)".  

Currently booted with slightly older kernel ("uname -a" now says "Linux mail 2.6.32-431.29.2.el6.x86_64 #1 SMP Tue Sep 9 21:36:05 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux") but the issue surfaced when updating kernel to 2.6.32-504.el6.x86_64 and updating ntfs-3g to the 2014 version.



For now I've done "yum remove ntfs-3g"  and "yum --disablerepo=* --enablerepo=rpmforge install fuse-ntfs-3g" and I've gotten back my NTFS drive.



I apologize if this isn't the correct location for my "report" or if I haven't provided sufficient info to help diagnose the issue.  I'd be happy to provide further test results should they be required.


In case this is of interest, the /etc/fstab entry that failed was this one:

UUID=5C6EC0C76EC09B62     /media/Rons_Data        ntfs-3g rw            0 2



Thank you.

Comment 11 Constantin Dunayev 2014-11-17 11:08:04 UTC
after removing hal files ntfs filesystems cannot be mounted from Nautilus

Comment 12 Tom "spot" Callaway 2014-11-17 15:40:28 UTC
Yep. Sorry about this breakage, new build happening right now.

Comment 13 Fedora Update System 2014-11-17 15:56:25 UTC
ntfs-3g-2014.2.15-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ntfs-3g-2014.2.15-7.el6

Comment 14 Fedora Update System 2014-11-18 08:07:54 UTC
Package ntfs-3g-2014.2.15-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ntfs-3g-2014.2.15-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4099/ntfs-3g-2014.2.15-7.el6
then log in and leave karma (feedback).

Comment 15 Constantin Dunayev 2014-11-18 10:22:50 UTC
Package ntfs-3g-2014.2.15-7.el6 

*mounts ntfs partition from nautilus
*shows right total/free space of this partition from df command
*does not show mounted partition in /media from nautilus
*cannot changedir to /media/<mount point> from mc
*directory permissions of /media/<mount point> are set to 000
root also cannot chdir to /media/<mount point>


maybe something is wrong with file/dir permissions

Comment 16 Moez Roy 2014-11-18 12:31:05 UTC
http://tuxera.com/forum/viewtopic.php?f=3&t=30813(In reply to Constantin Dunayev from comment #15)
> Package ntfs-3g-2014.2.15-7.el6 
> 
> *mounts ntfs partition from nautilus
> *shows right total/free space of this partition from df command
> *does not show mounted partition in /media from nautilus
> *cannot changedir to /media/<mount point> from mc
> *directory permissions of /media/<mount point> are set to 000
> root also cannot chdir to /media/<mount point>
> 
> 
> maybe something is wrong with file/dir permissions

Its a kernel issue. Try using a more recent kernel on CentOS 6 :)

The suggestion from upstream is to upgrade: "Please upgrade to ntfs-3g-2014.2.15AR.3 (see http://www.tuxera.com/community/ntfs-3g-advanced/)" 

http://jp-andre.pagesperso-orange.fr/download-tarball.html#ntfs-3g_ntfsprogs-2014.2.15AR.3.tgz

Comment 17 Moez Roy 2014-11-18 12:32:13 UTC
(In reply to Moez Roy from comment #16)
> http://tuxera.com/forum/viewtopic.php?f=3&t=30813(In reply to Constantin
> Dunayev from comment #15)
> > Package ntfs-3g-2014.2.15-7.el6 
> > 
> > *mounts ntfs partition from nautilus
> > *shows right total/free space of this partition from df command
> > *does not show mounted partition in /media from nautilus
> > *cannot changedir to /media/<mount point> from mc
> > *directory permissions of /media/<mount point> are set to 000
> > root also cannot chdir to /media/<mount point>
> > 
> > 
> > maybe something is wrong with file/dir permissions
> 
> Its a kernel issue. Try using a more recent kernel on CentOS 6 :)
> 
> The suggestion from upstream is to upgrade: "Please upgrade to
> ntfs-3g-2014.2.15AR.3 (see
> http://www.tuxera.com/community/ntfs-3g-advanced/)" 
> 
> http://jp-andre.pagesperso-orange.fr/download-tarball.html#ntfs-3g_ntfsprogs-
> 2014.2.15AR.3.tgz

Forgot the link where they suggested: http://tuxera.com/forum/viewtopic.php?f=3&t=30813

Comment 18 Chris Webster 2014-11-19 18:24:24 UTC
(In reply to Moez Roy from comment #16)
> http://tuxera.com/forum/viewtopic.php?f=3&t=30813(In reply to Constantin
> Dunayev from comment #15)
> > Package ntfs-3g-2014.2.15-7.el6 
> > 
> > *mounts ntfs partition from nautilus
> > *shows right total/free space of this partition from df command
> > *does not show mounted partition in /media from nautilus
> > *cannot changedir to /media/<mount point> from mc
> > *directory permissions of /media/<mount point> are set to 000
> > root also cannot chdir to /media/<mount point>
> > 
> > 
> > maybe something is wrong with file/dir permissions
> 
> Its a kernel issue. Try using a more recent kernel on CentOS 6 :)
> 
> The suggestion from upstream is to upgrade: "Please upgrade to
> ntfs-3g-2014.2.15AR.3 (see
> http://www.tuxera.com/community/ntfs-3g-advanced/)" 
> 
> http://jp-andre.pagesperso-orange.fr/download-tarball.html#ntfs-3g_ntfsprogs-
> 2014.2.15AR.3.tgz

The input/output error (noted in comment #7) occurs with the 2.15-6 and 2.15-7 packages even on the latest kernel:

# uname -a
Linux blizzard 2.6.32-504.1.3.el6.x86_64 #1 SMP Fri Oct 31 11:37:10 EDT 2014 x86_64 x86_64 x86_64 GNU/Linux

# rpm -qa ntfs-3g
ntfs-3g-2014.2.15-7.el6.x86_64

# ntfs-3g /dev/sdd2 /media/usb 

# ls -la /media/
ls: cannot access /media/usb: Input/output error
total 28
drwxr-xr-x.  8 root root 4096 Nov 19 11:36 .
dr-xr-xr-x. 28 root root 4096 Nov 19 10:41 ..
d??????????  ? ?    ?       ?            ? usb

# ls /media/usb
ls: cannot access /media/usb: Input/output error

Comment 19 Tom "spot" Callaway 2014-11-19 21:48:11 UTC
I'm sitting in an airport, waiting to get on a plane. I'll get a working build done tonight, barring flight cancellations.

Comment 20 Fedora Update System 2014-11-20 02:51:19 UTC
ntfs-3g-2014.2.15-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ntfs-3g-2014.2.15-8.el6

Comment 21 gulikoza 2014-11-22 11:45:52 UTC
ntfs-3g-2014.2.15-8.el6.x86_64 works for me.

Thanks!

Comment 22 Fedora Update System 2014-11-24 21:18:42 UTC
ntfs-3g-2014.2.15-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.